﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Windows.Controls.Primitives;

namespace XamDataGridPopUp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public Popup codePopup;

        public MainWindow()
        {
            InitializeComponent();
            codePopup = new Popup();
        }

        void PictureClick(object sender, MouseButtonEventArgs e)
        {
            TextBlock popupText = new TextBlock();
            foreach (var item in (sender as CellValuePresenter).Record.Cells.Skip(1))
            {
                popupText.Text += item.Value.ToString() + " ";
            }           
            popupText.Background = Brushes.LightBlue;
            popupText.Foreground = Brushes.Blue;
            codePopup.Child = popupText;

            codePopup.IsOpen = true;
            codePopup.StaysOpen = true;
        }
    }
}
